<?xml version="1.0" encoding="utf-8"?>
<registry xmlns:i18n="http://xml.zope.org/namespaces/i18n"
          i18n:domain="ploneintranet"
>
  <record name="ploneintranet.news.unpublished_states">
    <field type="plone.registry.field.Tuple">
      <title i18n:translate="">List of news unpublished state</title>
      <description i18n:translate="">The news in the following states will be considered unpublished and a badge will be shown in the sidebar</description>
      <value_type type="plone.registry.field.TextLine" />
    </field>
    <value purge="false">
      <element>pending</element>
      <element>private</element>
    </value>
  </record>
  <record name="ploneintranet.news.feed_stop">
    <field type="plone.registry.field.Int">
      <title>Limit the number of items synced from a feed</title>
      <description>
        When creating a Syndication object in the news publisher,
        limit the fetched items to the latest N news.
        If the provided value is -1 (the default),
        all the feed items will be fetched.
      </description>
      <min>-1</min>
    </field>
    <value>-1</value>
  </record>
  <record name="ploneintranet.news.allow_commenting">
    <field type="plone.registry.field.Bool">
      <default>True</default>
      <title>Allow commenting on News items?</title>
      <description>If turned OFF, commenting on news items (in the News magazine) will not be possible.</description>
      <required>False</required>
    </field>
    <value purge="false">True</value>
  </record>
  <record name="ploneintranet.news.pixxio_url">
    <field type="plone.registry.field.TextLine">
      <title>pixx.io account URL</title>
      <required>False</required>
    </field>
  </record>
  <record name="ploneintranet.news.pixxio_application_key">
    <field type="plone.registry.field.TextLine">
      <title>pixx.io account application key</title>
      <required>False</required>
    </field>
  </record>
  <record name="ploneintranet.news.pixxio_refresh_token">
    <field type="plone.registry.field.TextLine">
      <title>pixx.io account refresh token</title>
      <required>False</required>
    </field>
  </record>
  <record name="ploneintranet.news.show_image_gallery">
    <field type="plone.registry.field.Bool">
      <default>True</default>
      <title>Show the image gallery in news items</title>
      <description>If turned OFF, the image gallery is not shown.</description>
      <required>False</required>
    </field>
    <value purge="false">True</value>
  </record>
  <record name="ploneintranet.news.hero_default_aspect_ratio">
    <field type="plone.registry.field.Choice">
      <title>Default aspect ratio for news item hero images</title>
      <description>
        This sets the sitewide default aspect ratio for displaying news item hero images.
        This default setting can be overridden on individual news items. 
        Setting this value to "Optimal (cropped)", will vertically crop news item hero images on the news item detail pages. This is optimal for design and usability.
        Setting this value to "Full height (uncropped)", will display news item hero images at full height.
        Choose "Full height (uncropped)" only in existing sites that need backward compatibility.
      </description>
      <vocabulary>ploneintranet.news.vocabulary.hero_image_aspect_ratio</vocabulary>
      <required>True</required>
    </field>
    <value purge="false">cropped</value>
  </record>
</registry>
